Package org.gradle.jvm.toolchain

## Interface JavaInstallationRegistry

-     @Incubating
      @Deprecated
      public interface JavaInstallationRegistry

  Deprecated.
  Use Java Toolchains instead.
  Allows information about Java installations to be queried. A Java installation may contain a JDK, or a JRE, or both.

  An instance of this service is available for injection into tasks, plugins and other types.

  Since:
    6.2

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Provider<JavaInstallation>` | `getInstallationForCurrentVirtualMachine()` | Deprecated. Returns the Java installation for the current virtual machine.
    `Provider<JavaInstallation>` | `installationForDirectory​(Directory installationDirectory)` | Deprecated. Returns information about the Java installation at the given location.
    `Provider<JavaInstallation>` | `installationForDirectory​(Provider<Directory> installationDirectory)` | Deprecated. Returns information about the Java installation at the given location.

- - ### Method Detail

    - #### getInstallationForCurrentVirtualMachine

          Provider<JavaInstallation> getInstallationForCurrentVirtualMachine()

      Deprecated.
      Returns the Java installation for the current virtual machine.

    - #### installationForDirectory

          Provider<JavaInstallation> installationForDirectory​(Directory installationDirectory)

      Deprecated.
      Returns information about the Java installation at the given location.

      Note that this method may return an installation whose Java home directory is not the same as the installation directory. For example, if the given directory points to a JRE installation contained within a JDK installation (as was the case for Java 8 and earlier), then the `JavaInstallation` for outer installation will be returned.

      Parameters:
        `installationDirectory` - The directory containing the Java installation.

    - #### installationForDirectory

          Provider<JavaInstallation> installationForDirectory​(Provider<Directory> installationDirectory)

      Deprecated.
      Returns information about the Java installation at the given location.

      Note that this method may return an installation whose Java home directory is not the same as the installation directory. For example, if the given directory points to a JRE installation contained within a JDK installation (as was the case for Java 8 and earlier), then the `JavaInstallation` for outer installation will be returned.

      Parameters:
        `installationDirectory` - The directory containing the Java installation.